AEM 6.5 WKND repo build issues

Avatar

Avatar

sanjayn66673968

Avatar

sanjayn66673968

sanjayn66673968

14-02-2020

I created a maven project in batch mode by typing the following command-

 

mvn archetype:generate -B -DarchetypeGroupId=com.adobe.granite.archetypes -DarchetypeArtifactId=aem-project-archetype -DarchetypeVersion=22 -DgroupId=com.adobe.aem.guides -Dversion=0.0.1-SNAPSHOT -DappsFolderName=wknd -DartifactId=aem-guides-wknd -Dpackage=com.adobe.aem.guides.wknd -DartifactName="WKND Sites Project" -DcomponentGroupName=WKND -DconfFolderName=wknd -DcontentFolderName=wknd -DcssId=wknd -DisSingleCountryWebsite=n -Dlanguage_country=en_us -DoptionAemVersion=6.5.0 -DoptionDispatcherConfig=none -DoptionIncludeErrorHandler=n -DoptionIncludeExaples=y -DoptionIncludeFrontendModule=y -DpackageGroup=wknd -DsiteName="WKND Site"

 

when i type -

mvn -PautoInstallSinglePackage clean install

 

i get the following error-

 

[ERROR] Failed to execute goal on project aem-guides-wknd.ui.apps: Could not resolve dependencies for project com.adobe.aem.guides:aem-guides-wknd.ui.apps:content-package:0.0.1-SNAPSHOT: Could not find artifact com.adobe.aem.guides:aem-guides-wknd.ui.frontend:zip:0.0.1-SNAPSHOT

 

from the error i guess and when i searched that there is no such artifactid in maven repository.Can someone please help me out here?

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar

jbrar

Employee

Avatar

jbrar

Employee

jbrar
Employee

14-02-2020

I think there might be configuration issue with the settings.xml file and its not able to connect to Adobe Repo.

 

There is a sample settings.xml file provided under the "Create the project" section at [1]

 

[1] https://docs.adobe.com/content/help/en/experience-manager-learn/getting-started-wknd-tutorial-develo...

Answers (1)

Answers (1)

Avatar

Avatar

Nirmal_Jose

MVP

Avatar

Nirmal_Jose

MVP

Nirmal_Jose
MVP

14-02-2020

Since you have enabled -DoptionIncludeFrontendModule=y which will have a node module for front end development. If this module is needed, please follow the steps at [1]. If not required, start using -DoptionIncludeFrontendModule=n

[1]- https://docs.adobe.com/content/help/en/experience-manager-core-components/using/developing/archetype...